local stopwatch = nil

local function updateText(totaltime, steptime)
    stopwatch:setText(math.floor(1000000/steptime + 0.5) .." FPS")
end

function data()
    return {       
        guiInit = function()
			
			-- element for the divider
			local line = api.gui.comp.Component.new("VerticalLine")
			
			-- element for the icon
			local icon = api.gui.comp.ImageView.new("ui/fps.tga")
			
			-- element for the time
			stopwatch = api.gui.comp.TextView.new("")
			stopwatch:onStep(updateText)
			
				
			-- add elements to ui
			local gameInfoLayout = api.gui.util.getById("gameInfo"):getLayout()
			gameInfoLayout:addItem(line) 
			gameInfoLayout:addItem(icon) 
			gameInfoLayout:addItem(stopwatch) 
        
        end
    }
end
